color 9E
@echo off
cls


:Start
@echo.
@echo #---------------------------------------#
@echo.
@echo Use this batch file to change resolutions
@echo   and toolbar types for Celtic F2P (2.3)
@echo.
@echo   This batch file is now WinXP friendly
@echo.
@echo #---------------------------------------#
@echo.
@echo   Press '1' to continue or '0' to exit..
@echo.
@echo #---------------------------------------#
set oschoice=
set /p oschoice=Enter '1' or '0' ...
@echo.
set oschoice=%oschoice:~0,1%
if "%oschoice%"=="1" goto Next
if "%oschoice%"=="0" goto End
@echo Invalid choice
Goto Start

:Next
cls
@echo #---------------------------------------#
@echo.
@echo Deleting old skindefinition.xml
@echo.
@echo #---------------------------------------#
del skindefinition.xml
pause
cls
Goto Menu

:Menu
@echo #--- Select an option from the list. ---#
@echo.
@echo      '0' Mini Toolbar @ 1024 x 768
@echo      '1' Mini Toolbar @ 1280 x 1024
@echo      '2' Mini Toolbar @ 1440 x 900
@echo      '3' Mini Toolbar @ 1680 x 1050
@echo      '4' Mini Toolbar @ 1920 x 1200
@echo      '5' Large Toolbar @ 1024 x 768
@echo      '6' Large Toolbar @ 1280 x 1024
@echo      '7' Large Toolbar @ 1440 x 900
@echo      '8' Large Toolbar @ 1680 x 1050
@echo      '9' Large Toolbar @ 1920 x 1200
@echo.
@echo #---------------------------------------#
set OSChoice=
set /p OSChoice=  Enter an option '0' thru '9' ...
@echo.
If "%OSChoice%"=="0" Goto 10
If "%OSChoice%"=="9" Goto 9
If "%OSChoice%"=="8" Goto 8
If "%OSChoice%"=="7" Goto 7
If "%OSChoice%"=="6" Goto 6
If "%OSChoice%"=="5" Goto 5
If "%OSChoice%"=="4" Goto 4
If "%OSChoice%"=="3" Goto 3
If "%OSChoice%"=="2" Goto 2
If "%OSChoice%"=="1" Goto 1
@echo Invalid choice
Goto Menu

Goto End

:10
@echo.
@echo # You selected '0', Mini toolbar @ 1024 x 768
copy SkinDefs\Mini1024.xml skindefinition.xml /V /-Y
Goto End

:9
@echo.
@echo # You selected '9', Large toolbar @ 1920 x 1200
copy SkinDefs\Large1920.xml skindefinition.xml /V /-Y
Goto End

:8
@echo.
@echo # You selected '8', Large toolbar @ 1680 x 1050
copy SkinDefs\Large1680.xml skindefinition.xml /V /-Y
Goto End

:7
@echo.
@echo # You selected '7', Large toolabr @ 1440 x 900
copy SkinDefs\Large1440.xml skindefinition.xml /V /-Y
Goto End

:6
@echo.
@echo # You selected '6', Large toolbar @ 1280 x 1024
copy SkinDefs\Large1280.xml skindefinition.xml /V /-Y
Goto End

:5
@echo.
@echo # You selected '5', Large toolbar @ 1024 x 768
copy SkinDefs\Large1024.xml skindefinition.xml /V /-Y
Goto End

:4
@echo.
@echo # You selected '4', Mini toolbar @ 1920 x 1200
copy SkinDefs\Mini1920.xml skindefinition.xml /V /-Y
Goto End

:3
@echo.
@echo # You selected '3', Mini toolbar @ 1680 x 1050
copy SkinDefs\Mini1680.xml skindefinition.xml /V /-Y
Goto End

:2
@echo.
@echo # You selected '2', Mini toolabr @ 1440 x 900
copy SkinDefs\Mini1440.xml skindefinition.xml /V /-Y
Goto End

:1
@echo.
@echo # You selected '1', Mini toolbar @ 1280 x 1024
copy SkinDefs\Mini1280.xml skindefinition.xml /V /-Y
Goto End

:End
@echo.
@echo Enjoy!! ;-)
pause
color
exit